## vdr 2.3.8

=== Makefile ===
#
# Makefile for the Video Disk Recorder
#
# See the main source file 'vdr.c' for copyright information and
# how to reach the author.
#
# $Id: Makefile 4.5 2017/05/29 08:48:42 kls Exp $

.DELETE_ON_ERROR:

# Compiler flags:

CC       ?= gcc
CFLAGS   ?= -g -O3 -Wall

CXX      ?= g++
CXXFLAGS ?= -g -O3 -Wall -Werror=overloaded-virtual -Wno-parentheses

CDEFINES  = -D_GNU_SOURCE
CDEFINES += -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE

LIBS      = -ljpeg -lpthread -ldl -lcap -lrt $(shell pkg-config --libs freetype2 fontconfig)
INCLUDES ?= $(shell pkg-config --cflags freetype2 fontconfig)

# Directories:

CWD       ?= $(shell pwd)
LSIDIR    ?= $(CWD)/libsi
PLUGINDIR ?= $(CWD)/PLUGINS

DESTDIR   ?=
VIDEODIR  ?= /srv/vdr/video
CONFDIR   ?= /var/lib/vdr
ARGSDIR   ?= /etc/vdr/conf.d
CACHEDIR  ?= /var/cache/vdr

PREFIX    ?= /usr/local
BINDIR    ?= $(PREFIX)/bin
INCDIR    ?= $(PREFIX)/include
LIBDIR    ?= $(PREFIX)/lib/vdr
LOCDIR    ?= $(PREFIX)/share/locale
MANDIR    ?= $(PREFIX)/share/man
PCDIR     ?= $(PREFIX)/lib/pkgconfig
RESDIR    ?= $(PREFIX)/share/vdr

# Source documentation

DOXYGEN  ?= /usr/bin/doxygen
DOXYFILE  = Doxyfile

# User configuration

-include Make.config

# Output control

ifdef VERBOSE
Q =
else
Q = @
endif
export Q

# Mandatory compiler flags:

CFLAGS   += -fPIC
CXXFLAGS += -fPIC

# Common include files:

ifdef DVBDIR
CINCLUDES += -I$(DVBDIR)
endif

# Object files

SILIB    = $(LSIDIR)/libsi.a

OBJS = args.o audio.o channels.o ci.o config.o cutter.o device.o diseqc.o dvbdevice.o dvbci.o\
       dvbplayer.o dvbspu.o dvbsubtitle.o eit.o eitscan.o epg.o filter.o font.o i18n.o interface.o keys.o\
       lirc.o menu.o menuitems.o mtd.o nit.o osdbase.o osd.o pat.o player.o plugin.o positioner.o\
       receiver.o recorder.o recording.o remote.o remux.o ringbuffer.o sdt.o sections.o shutdown.o\
       skinclassic.o skinlcars.o skins.o skinsttng.o sourceparams.o sources.o spu.o status.o svdrp.o themes.o thread.o\
       timers.o tools.o transfer.o vdr.o videodir.o

DEFINES  += $(CDEFINES)
INCLUDES += $(CINCLUDES)

ifdef HDRDIR
HDRDIR   := -I$(HDRDIR)
endif
ifndef NO_KBD
DEFINES += -DREMOTE_KBD
endif
ifdef REMOTE
DEFINES += -DREMOTE_$(REMOTE)
endif
ifdef VDR_USER
DEFINES += -DVDR_USER=\"$(VDR_USER)\"
endif
ifdef BIDI
INCLUDES += $(shell pkg-config --cflags fribidi)
DEFINES += -DBIDI
LIBS += $(shell pkg-config --libs fribidi)
endif
ifdef SDNOTIFY
INCLUDES += $(shell pkg-config --silence-errors --cflags libsystemd-daemon || pkg-config --cflags libsystemd)
DEFINES += -DSDNOTIFY
LIBS += $(shell pkg-config --silence-errors --libs libsystemd-daemon || pkg-config --libs libsystemd)
endif

LIRC_DEVICE ?= /var/run/lirc/lircd

DEFINES += -DLIRC_DEVICE=\"$(LIRC_DEVICE)\"
DEFINES += -DVIDEODIR=\"$(VIDEODIR)\"
DEFINES += -DCONFDIR=\"$(CONFDIR)\"
DEFINES += -DARGSDIR=\"$(ARGSDIR)\"
DEFINES += -DCACHEDIR=\"$(CACHEDIR)\"
DEFINES += -DRESDIR=\"$(RESDIR)\"
DEFINES += -DPLUGINDIR=\"$(LIBDIR)\"
DEFINES += -DLOCDIR=\"$(LOCDIR)\"

# The version numbers of VDR and the plugin API (taken from VDR's "config.h"):

VDRVERSION = $(shell sed -ne '/define VDRVERSION/s/^.*"\(.*\)".*$$/\1/p' config.h)
APIVERSION = $(shell sed -ne '/define APIVERSION/s/^.*"\(.*\)".*$$/\1/p' config.h)

all: vdr i18n plugins

# Implicit rules:

%.o: %.c
	@echo CC $@
	$(Q)$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) -o $@ $<

# Dependencies:

MAKEDEP = $(CXX) -MM -MG
DEPFILE = .dependencies
$(DEPFILE): Makefile
	@$(MAKEDEP) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.c) > $@

-include $(DEPFILE)

# The main program:

vdr: $(OBJS) $(SILIB)
	@echo LD $@
	$(Q)$(CXX) $(CXXFLAGS) -rdynamic $(LDFLAGS) $(OBJS) $(LIBS) $(SILIB) -o vdr

# The libsi library:

$(SILIB): make-libsi
	@$(MAKE) --no-print-directory -C $(LSIDIR) CXXFLAGS="$(CXXFLAGS)" DEFINES="$(CDEFINES)" all
make-libsi: # empty rule makes sure the sub-make for libsi is always called

# pkg-config file:

.PHONY: vdr.pc
vdr.pc:
	@echo "bindir=$(BINDIR)" > $@
	@echo "mandir=$(MANDIR)" >> $@
	@echo "videodir=$(VIDEODIR)" >> $@
	@echo "configdir=$(CONFDIR)" >> $@
	@echo "argsdir=$(ARGSDIR)" >> $@
	@echo "cachedir=$(CACHEDIR)" >> $@
	@echo "resdir=$(RESDIR)" >> $@
	@echo "libdir=$(LIBDIR)" >> $@
	@echo "locdir=$(LOCDIR)" >> $@
	@echo "plgcfg=$(PLGCFG)" >> $@
	@echo "apiversion=$(APIVERSION)" >> $@
	@echo "cflags=$(CFLAGS) $(CDEFINES) $(CINCLUDES) $(HDRDIR)" >> $@
	@echo "cxxflags=$(CXXFLAGS) $(CDEFINES) $(CINCLUDES) $(HDRDIR)" >> $@
	@echo "" >> $@
	@echo "Name: VDR" >> $@
	@echo "Description: Video Disk Recorder" >> $@
	@echo "URL: http://www.tvdr.de/" >> $@
	@echo "Version: $(VDRVERSION)" >> $@
	@echo "Cflags: \$${cflags}" >> $@

# Internationalization (I18N):

PODIR     = po
LOCALEDIR = locale
I18Npo    = $(wildcard $(PODIR)/*.po)
I18Nmo    = $(addsuffix .mo, $(foreach file, $(I18Npo), $(basename $(file))))
I18Nmsgs  = $(addprefix $(LOCALEDIR)/, $(addsuffix /LC_MESSAGES/vdr.mo, $(notdir $(foreach file, $(I18Npo), $(basename $(file))))))
I18Npot   = $(PODIR)/vdr.pot

%.mo: %.po
	@echo MO $@
	$(Q)msgfmt -c -o $@ $<

$(I18Npot): $(wildcard *.c)
	@echo GT $@
	$(Q)xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --package-name=VDR --package-version=$(VDRVERSION) --msgid-bugs-address='<vdr-bugs@tvdr.de>' -o $@ `ls $^`

%.po: $(I18Npot)
	@echo PO $@
	$(Q)msgmerge -U --no-wrap --no-location --backup=none -q -N $@ $<
	@touch $@

$(I18Nmsgs): $(LOCALEDIR)/%/LC_MESSAGES/vdr.mo: $(PODIR)/%.mo
	@echo IN $@
	$(Q)install -D -m644 $< $@

.PHONY: i18n
i18n: $(I18Nmsgs)

install-i18n: i18n
	@mkdir -p $(DESTDIR)$(LOCDIR)
	cp -r $(LOCALEDIR)/* $(DESTDIR)$(LOCDIR)

# The 'include' directory (for plugins):

include-dir:
	@mkdir -p include/vdr
	@(cd include/vdr; for i in ../../*.h; do ln -fs $$i .; done)
	@mkdir -p include/libsi
	@(cd include/libsi; for i in ../../libsi/*.h; do ln -fs $$i .; done)

# Plugins:

plugins: include-dir vdr.pc
	@failed="";\
	noapiv="";\
	oldmakefile="";\
	for i in `ls $(PLUGINDIR)/src | grep -v '[^a-z0-9]'`; do\
	    echo; echo "*** Plugin $$i:";\
	    # No APIVERSION: Skip\
	    if ! grep -q "\$$(LIBDIR)/.*\$$(APIVERSION)" "$(PLUGINDIR)/src/$$i/Makefile" ; then\
	       echo "ERROR: plugin $$i doesn't honor APIVERSION - not compiled!";\
	       noapiv="$$noapiv $$i";\
	       continue;\
	       fi;\
	    # Old Makefile\
	    if ! grep -q "PKGCFG" "$(PLUGINDIR)/src/$$i/Makefile" ; then\
	       echo "WARNING: plugin $$i is using an old Makefile!";\
	       oldmakefile="$$oldmakefile $$i";\
	       $(MAKE) --no-print-directory -C "$(PLUGINDIR)/src/$$i" CFLAGS="$(CFLAGS) $(CDEFINES) $(CINCLUDES)" CXXFLAGS="$(CXXFLAGS) $(CDEFINES) $(CINCLUDES)" LIBDIR="$(PLUGINDIR)/lib" VDRDIR="$(CWD)" all || failed="$$failed $$i";\
	       continue;\
	       fi;\
	    # New Makefile\
	    INCLUDES="-I$(CWD)/include"\
	    $(MAKE) --no-print-directory -C "$(PLUGINDIR)/src/$$i" VDRDIR="$(CWD)" || failed="$$failed $$i";\
	    if [ -n "$(LCLBLD)" ] ; then\
	       (cd $(PLUGINDIR)/src/$$i; for l in `find -name "libvdr-*.so" -o -name "lib$$i-*.so"`; do install $$l $(LIBDIR)/`basename $$l`.$(APIVERSION); done);\
	       if [ -d $(PLUGINDIR)/src/$$i/po ]; then\
	          for l in `ls $(PLUGINDIR)/src/$$i/po/*.mo`; do\
	              install -D -m644 $$l $(LOCDIR)/`basename $$l | cut -d. -f1`/LC_MESSAGES/vdr-$$i.mo;\
	              done;\
	          fi;\
	       fi;\
	    done;\
	# Conclusion\
	if [ -n "$$noapiv" ] ; then echo; echo "*** plugins without APIVERSION:$$noapiv"; echo; fi;\
	if [ -n "$$oldmakefile" ] ; then\
	   echo; echo "*** plugins with old Makefile:$$oldmakefile"; echo;\
	   echo "**********************************************************************";\
	   echo "*** While this currently still works, it is strongly recommended";\
	   echo "*** that you convert old Makefiles to the new style used since";\
	   echo "*** VDR version 1.7.36. Support for old style Makefiles may be dropped";\
	   echo "*** in future versions of VDR.";\
	   echo "**********************************************************************";\
	   fi;\
	if [ -n "$$failed" ] ; then echo; echo "*** failed plugins:$$failed"; echo; exit 1; fi

clean-plugins: vdr.pc
	@for i in `ls $(PLUGINDIR)/src | grep -v '[^a-z0-9]'`; do $(MAKE) --no-print-directory -C "$(PLUGINDIR)/src/$$i" VDRDIR="$(CWD)" clean; done
	@-rm -f $(PLUGINDIR)/lib/lib*-*.so.$(APIVERSION)

# Install the files (note that 'install-pc' must be first!):

install: install-pc install-bin install-dirs install-conf install-doc install-plugins install-i18n install-includes

# VDR binary:

install-bin: vdr
	@mkdir -p $(DESTDIR)$(BINDIR)
	@cp --remove-destination vdr svdrpsend $(DESTDIR)$(BINDIR)

# Configuration files:

install-dirs:
	@mkdir -p $(DESTDIR)$(VIDEODIR)
	@mkdir -p $(DESTDIR)$(CONFDIR)
	@mkdir -p $(DESTDIR)$(ARGSDIR)
	@mkdir -p $(DESTDIR)$(CACHEDIR)
	@mkdir -p $(DESTDIR)$(RESDIR)

install-conf:
	@cp -pn *.conf $(DESTDIR)$(CONFDIR)

# Documentation:

install-doc:
	@mkdir -p $(DESTDIR)$(MANDIR)/man1
	@mkdir -p $(DESTDIR)$(MANDIR)/man5
	@gzip -c vdr.1 > $(DESTDIR)$(MANDIR)/man1/vdr.1.gz
	@gzip -c vdr.5 > $(DESTDIR)$(MANDIR)/man5/vdr.5.gz
	@gzip -c svdrpsend.1 > $(DESTDIR)$(MANDIR)/man1/svdrpsend.1.gz

# Plugins:

install-plugins: plugins
	@-for i in `ls $(PLUGINDIR)/src | grep -v '[^a-z0-9]'`; do\
	      $(MAKE) --no-print-directory -C "$(PLUGINDIR)/src/$$i" VDRDIR=$(CWD) DESTDIR=$(DESTDIR) install;\
	      done
	@if [ -d $(PLUGINDIR)/lib ] ; then\
	    for i in `find $(PLUGINDIR)/lib -name 'lib*-*.so.$(APIVERSION)'`; do\
	        install -D $$i $(DESTDIR)$(LIBDIR);\
	        done;\
	    fi

# Includes:

install-includes: include-dir
	@mkdir -p $(DESTDIR)$(INCDIR)
	@cp -pLR include/vdr include/libsi $(DESTDIR)$(INCDIR)

# pkg-config file:

install-pc: vdr.pc
	if [ -n "$(PCDIR)" ] ; then\
	   mkdir -p $(DESTDIR)$(PCDIR) ;\
	   cp vdr.pc $(DESTDIR)$(PCDIR) ;\
	   fi

# Source documentation:

srcdoc:
	@cat $(DOXYFILE) > $(DOXYFILE).tmp
	@echo PROJECT_NUMBER = $(VDRVERSION) >> $(DOXYFILE).tmp
	$(DOXYGEN) $(DOXYFILE).tmp
	@rm $(DOXYFILE).tmp

# Housekeeping:

clean:
	@$(MAKE) --no-print-directory -C $(LSIDIR) clean
	@-rm -f $(OBJS) $(DEPFILE) vdr vdr.pc core* *~
	@-rm -rf $(LOCALEDIR) $(PODIR)/*.mo $(PODIR)/*.pot
	@-rm -rf include
	@-rm -rf srcdoc
CLEAN: clean
distclean: clean-plugins clean

=== PLUGINS/src/epgtableid0/Makefile ===
#
# Makefile for a Video Disk Recorder plugin
#
# $Id: Makefile 4.2 2017/05/29 08:30:00 kls Exp $

# The official name of this plugin.
# This name will be used in the '-P...' option of VDR to load the plugin.
# By default the main source file also carries this name.

PLUGIN = epgtableid0

### The version number of this plugin (taken from the main source file):

VERSION = $(shell grep 'static const char \*VERSION *=' $(PLUGIN).c | awk '{ print $$6 }' | sed -e 's/[";]//g')

### The directory environment:

# Use package data if installed...otherwise assume we're under the VDR source directory:
PKGCFG = $(if $(VDRDIR),$(shell pkg-config --variable=$(1) $(VDRDIR)/vdr.pc),$(shell PKG_CONFIG_PATH="$$PKG_CONFIG_PATH:../../.." pkg-config --variable=$(1) vdr))
LIBDIR = $(call PKGCFG,libdir)
PLGCFG = $(call PKGCFG,plgcfg)
#
TMPDIR ?= /tmp

### The compiler options:

export CFLAGS   = $(call PKGCFG,cflags)
export CXXFLAGS = $(call PKGCFG,cxxflags)

### The version number of VDR's plugin API:

APIVERSION = $(call PKGCFG,apiversion)

### Allow user defined options to overwrite defaults:

-include $(PLGCFG)

### The name of the distribution archive:

ARCHIVE = $(PLUGIN)-$(VERSION)
PACKAGE = vdr-$(ARCHIVE)

### The name of the shared object file:

SOFILE = libvdr-$(PLUGIN).so

### Includes and Defines (add further entries here):

INCLUDES +=

DEFINES += -DPLUGIN_NAME_I18N='"$(PLUGIN)"'

### The object files (add further files here):

OBJS = $(PLUGIN).o

### The main target:

all: $(SOFILE)

### Implicit rules:

%.o: %.c
	@echo CC $@
	$(Q)$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) -o $@ $<

### Dependencies:

MAKEDEP = $(CXX) -MM -MG
DEPFILE = .dependencies
$(DEPFILE): Makefile
	@$(MAKEDEP) $(CXXFLAGS) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.c) > $@

-include $(DEPFILE)

### Targets:

$(SOFILE): $(OBJS)
	@echo LD $@
	$(Q)$(CXX) $(CXXFLAGS) $(LDFLAGS) -shared $(OBJS) -o $@

install-lib: $(SOFILE)
	install -D $^ $(DESTDIR)$(LIBDIR)/$^.$(APIVERSION)

install: install-lib

dist: clean
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@mkdir $(TMPDIR)/$(ARCHIVE)
	@cp -a * $(TMPDIR)/$(ARCHIVE)
	@tar czf $(PACKAGE).tgz -C $(TMPDIR) $(ARCHIVE)
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@echo Distribution package created as $(PACKAGE).tgz

clean:
	@-rm -f $(OBJS) $(DEPFILE) *.so *.tgz core* *~

=== PLUGINS/src/servicedemo/Makefile ===
#
# Makefile for a Video Disk Recorder plugin
#
# $Id: Makefile 4.2 2017/05/29 08:31:07 kls Exp $

# The official name of this plugin.
# This name will be used in the '-P...' option of VDR to load the plugin.
# By default the main source file also carries this name.

PLUGIN1 = svccli
PLUGIN2 = svcsvr

### The version number of this plugin (taken from the main source file):

VERSION = $(shell grep 'static const char \*VERSION *=' $(PLUGIN1).c | awk '{ print $$6 }' | sed -e 's/[";]//g')

### The directory environment:

# Use package data if installed...otherwise assume we're under the VDR source directory:
PKGCFG = $(if $(VDRDIR),$(shell pkg-config --variable=$(1) $(VDRDIR)/vdr.pc),$(shell PKG_CONFIG_PATH="$$PKG_CONFIG_PATH:../../.." pkg-config --variable=$(1) vdr))
LIBDIR = $(call PKGCFG,libdir)
PLGCFG = $(call PKGCFG,plgcfg)
#
TMPDIR ?= /tmp

### The compiler options:

export CFLAGS   = $(call PKGCFG,cflags)
export CXXFLAGS = $(call PKGCFG,cxxflags)

### The version number of VDR's plugin API:

APIVERSION = $(call PKGCFG,apiversion)

### Allow user defined options to overwrite defaults:

-include $(PLGCFG)

### The name of the distribution archive:

ARCHIVE = svcintf-$(VERSION)
PACKAGE = vdr-$(ARCHIVE)

### Includes and Defines (add further entries here):

INCLUDES +=

DEFINES += -DPLUGIN_NAME_I18N='"$(PLUGIN)"'

### The object files (add further files here):

OBJS = $(PLUGIN1).o $(PLUGIN2).o

### The main target:

all: libvdr-$(PLUGIN1).so libvdr-$(PLUGIN2).so

### Implicit rules:

%.o: %.c
	@echo CC $@
	$(Q)$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) -o $@ $<

### Dependencies:

MAKEDEP = $(CXX) -MM -MG
DEPFILE = .dependencies
$(DEPFILE): Makefile
	@$(MAKEDEP) $(CXXFLAGS) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.c) > $@

-include $(DEPFILE)

### Targets:

libvdr-$(PLUGIN1).so: $(PLUGIN1).o
	@echo LD $@
	$(Q)$(CXX) $(CXXFLAGS) $(LDFLAGS) -shared $(PLUGIN1).o -o $@

libvdr-$(PLUGIN2).so: $(PLUGIN2).o
	@echo LD $@
	$(Q)$(CXX) $(CXXFLAGS) $(LDFLAGS) -shared $(PLUGIN2).o -o $@

install-lib: libvdr-$(PLUGIN1).so libvdr-$(PLUGIN2).so
	install -D libvdr-$(PLUGIN1).so $(DESTDIR)$(LIBDIR)/libvdr-$(PLUGIN1).so.$(APIVERSION)
	install -D libvdr-$(PLUGIN2).so $(DESTDIR)$(LIBDIR)/libvdr-$(PLUGIN2).so.$(APIVERSION)

install: install-lib

dist: clean
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@mkdir $(TMPDIR)/$(ARCHIVE)
	@cp -a * $(TMPDIR)/$(ARCHIVE)
	@tar czf $(PACKAGE).tgz -C $(TMPDIR) $(ARCHIVE)
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@echo Distribution package created as $(PACKAGE).tgz

clean:
	@-rm -f $(OBJS) $(DEPFILE) *.so *.tgz core* *~

=== PLUGINS/src/svdrpdemo/Makefile ===
#
# Makefile for a Video Disk Recorder plugin
#
# $Id: Makefile 4.2 2017/05/29 08:30:42 kls Exp $

# The official name of this plugin.
# This name will be used in the '-P...' option of VDR to load the plugin.
# By default the main source file also carries this name.

PLUGIN = svdrpdemo

### The version number of this plugin (taken from the main source file):

VERSION = $(shell grep 'static const char \*VERSION *=' $(PLUGIN).c | awk '{ print $$6 }' | sed -e 's/[";]//g')

### The directory environment:

# Use package data if installed...otherwise assume we're under the VDR source directory:
PKGCFG = $(if $(VDRDIR),$(shell pkg-config --variable=$(1) $(VDRDIR)/vdr.pc),$(shell PKG_CONFIG_PATH="$$PKG_CONFIG_PATH:../../.." pkg-config --variable=$(1) vdr))
LIBDIR = $(call PKGCFG,libdir)
PLGCFG = $(call PKGCFG,plgcfg)
#
TMPDIR ?= /tmp

### The compiler options:

export CFLAGS   = $(call PKGCFG,cflags)
export CXXFLAGS = $(call PKGCFG,cxxflags)

### The version number of VDR's plugin API:

APIVERSION = $(call PKGCFG,apiversion)

### Allow user defined options to overwrite defaults:

-include $(PLGCFG)

### The name of the distribution archive:

ARCHIVE = $(PLUGIN)-$(VERSION)
PACKAGE = vdr-$(ARCHIVE)

### The name of the shared object file:

SOFILE = libvdr-$(PLUGIN).so

### Includes and Defines (add further entries here):

INCLUDES +=

DEFINES += -DPLUGIN_NAME_I18N='"$(PLUGIN)"'

### The object files (add further files here):

OBJS = $(PLUGIN).o

### The main target:

all: $(SOFILE)

### Implicit rules:

%.o: %.c
	@echo CC $@
	$(Q)$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) -o $@ $<

### Dependencies:

MAKEDEP = $(CXX) -MM -MG
DEPFILE = .dependencies
$(DEPFILE): Makefile
	@$(MAKEDEP) $(CXXFLAGS) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.c) > $@

-include $(DEPFILE)

### Targets:

$(SOFILE): $(OBJS)
	@echo LD $@
	$(Q)$(CXX) $(CXXFLAGS) $(LDFLAGS) -shared $(OBJS) -o $@

install-lib: $(SOFILE)
	install -D $^ $(DESTDIR)$(LIBDIR)/$^.$(APIVERSION)

install: install-lib

dist: clean
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@mkdir $(TMPDIR)/$(ARCHIVE)
	@cp -a * $(TMPDIR)/$(ARCHIVE)
	@tar czf $(PACKAGE).tgz -C $(TMPDIR) $(ARCHIVE)
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@echo Distribution package created as $(PACKAGE).tgz

clean:
	@-rm -f $(OBJS) $(DEPFILE) *.so *.tgz core* *~

=== debian/changelog ===
vdr (2.3.8-2) unstable; urgency=medium

  [ Malte Forkel ]
  * Support different upstream tarball naming schemes in debianize-vdr-plugin
    script (Closes: #874676)

  [ Rui Branco ]
  * Updated Portuguese debconf translation (Closes: #873522)

  [ Tobias Grimm ]
  * Log an error message when skincures can't initialize the screen
    (Closes: #877032)
  * Standards-Version: 4.1.2
  * Priority: optional
  * Don't set standard SVDRP port to 0
  * Droppes systemd.patch - fixed upstream
  * VCS moved to salsa.debian.org

 -- Tobias Grimm <etobi@debian.org>  Sun, 18 Feb 2018 00:21:34 +0100

vdr (2.3.8-1) unstable; urgency=medium

  [ Tobias Grimm ]
  * New upstream release (Closes: #853698)

  [ Helmut Grohne ]
  * Switch vdr-dev to Architecture: any (closes: #853958)

 -- Tobias Grimm <etobi@debian.org>  Mon, 14 Aug 2017 20:57:41 +0200

vdr (2.3.7-1) unstable; urgency=medium

  * New upstream development release
  * Updated patches
  * Dropped rcu plugin from vdr-plugins-examples - this plugin is not shipped
    with the upstream VDR sources anymore
  * Dropped vdr-plugin-dvbhddevice and vdr-plugin-dvbsddevice plugin - these
    plugins are not shipped with the upstream VDR sources anymore and will be
    provided in new separate source packages
  * Made vdr depend on lsb-base (>= 3.0-6), which is required by the init script
  * Dropped vdr-dbg - migration to automatically created debug symbol package

 -- Tobias Grimm <etobi@debian.org>  Sat, 24 Jun 2017 19:27:43 +0200

vdr (2.2.0-6) unstable; urgency=medium

  * Added Brazilian Portuguese translations for debconf provided by
    Adriano Rafael Gomes (closes: #811514)
  * Fixed spelling error in README.Debian
  * Standards-Version: 3.9.8

 -- Tobias Grimm <etobi@debian.org>  Mon, 06 Jun 2016 19:04:35 +0200

=== debian/control ===
Source: vdr
Section: video
Priority: optional
Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
Uploaders: Thomas Schmidt <tschmidt@debian.org>, Tobias Grimm <etobi@debian.org>, Thomas Günther <tom@toms-cafe.de>
Build-Depends: debhelper (>= 9.20160709), bash-completion, libjpeg-dev, libcap-dev,
  libncursesw5-dev, libfreetype6-dev, libfontconfig-dev, gettext,
  python, linux-libc-dev (>= 3.0), libfribidi-dev, libsystemd-dev
Standards-Version: 4.1.2
Vcs-Git: https://salsa.debian.org/vdr-team/vdr.git
Vcs-Browser: https://salsa.debian.org/vdr-team/vdr
Homepage: http://www.tvdr.de/

Package: vdr
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, lsb-base (>= 3.0-6)
Recommends: lirc, ttf-bitstream-vera | fonts-freefont-ttf
Suggests: vdr-plugin-dvbsddevice
Provides: ${vdr:Provides}
Description: Video Disk Recorder for DVB cards
 Video Disk Recorder (VDR) is a digital sat-receiver program using
 Linux and DVB technologies. It allows one to record MPEG2 streams,
 as well as output the stream to TV. It is also possible to watch DVDs
 (hardware accelerated) with some comfort and use an IR remote control.
 .
 This package contains the VDR main program which is controlled via the
 PC keyboard or a IR remote control.
 .
 NOTE: You should install compatible DVB drivers before using these
 programs. Also the standard VDR (without special plugins) requires
 a DVB-Card with an integrated mpeg-decoder, a so called
 Full-Featured Card.

Package: vdr-dev
Architecture: any
Depends: ${misc:Depends}, debhelper, linux-libc-dev (>= 3.0)
Suggests: dh-make, make
Description: Video Disk Recorder for DVB cards
 Video Disk Recorder (VDR) is a digital sat-receiver program using
 Linux and DVB technologies. It allows one to record MPEG2 streams,
 as well as output the stream to TV. It is also possible to watch DVDs
 (hardware accelerated) with some comfort and use an IR remote control.
 .
 This package contains the header files of VDR.
 You need this package to be able to build vdr-plugins!

Package: vdr-plugin-examples
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, vdr (= ${binary:Version})
Replaces: vdr (<< 2.0.1-1)
Breaks: vdr (<< 2.0.1-1)
Enhances: vdr
Description: Plugins for vdr to show some possible features
 Video Disk Recorder (VDR) is a digital sat-receiver program using
 Linux and DVB technologies. It allows one to record MPEG2 streams,
 as well as output the stream to TV.
 .
 This package contains the example-plugins hello, osddemo, svccli,
 svcsvr, skincurses, status and svdrpdemo from the vdr-source.
 These plugins do not have useful features, they only demonstrate
 how vdr-plugins work and what is possible to do with them.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CXXFLAGS += $(CPPFLAGS)
CFLAGS += $(CPPFLAGS)
PREFIX = /usr
VIDEODIR = /var/lib/video
LIBDIR = /usr/lib/vdr/plugins
MAKE_OPTIONS = PREFIX=$(PREFIX) VIDEODIR=$(VIDEODIR) LIBDIR=$(LIBDIR) SDNOTIFY=1

%:
	dh $@ --with bash-completion,systemd

override_dh_auto_build:
	dh_auto_build -- $(MAKE_OPTIONS)
	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -o debian/vdr-shutdown.wrapper debian/vdr-shutdown-wrapper.c
	for file in $$(ls debian/dh-addon-vdrplugin/dh_*); do \
		pod2man --section=1 --utf8 $$file $$file.1; \
	done

override_dh_auto_clean:
	dh_auto_clean
	rm -f debian/vdr-shutdown.wrapper
	rm -f debian/dh-addon-vdrplugin/*.1

override_dh_auto_install:
	dh_auto_install -- $(MAKE_OPTIONS)
	mv debian/tmp/var/lib/vdr/channels.conf debian/tmp/var/lib/vdr/channels.conf.sat

override_dh_install:
	dh_install --fail-missing -Xlibvdr-epgtableid0.so
	install -D -m 755 newplugin debian/vdr-dev/usr/bin/vdr-newplugin
	echo -n "vdr:Provides=" >> debian/vdr.substvars
	cat debian/abi-version >> debian/vdr.substvars
	for example in hello osddemo pictures servicedemo skincurses status svdrpdemo; do \
	    install -D PLUGINS/src/$$example/README debian/vdr-plugin-examples/usr/share/doc/vdr-plugin-examples/README.$$example; \
	done
	DH_AUTOSCRIPTDIR=debian/dh-addon-vdrplugin debian/dh-addon-vdrplugin/dh_vdrplugin_enable

override_dh_installinit:
	dh_installinit --error-handler true

override_dh_strip:
	dh_strip --dbgsym-migration='vdr-dbg (<< 2.2.0-6~)'

override_dh_installchangelogs:
	dh_installchangelogs -pvdr HISTORY
	dh_installchangelogs -pvdr-plugin-examples
	dh_installchangelogs

check-patches:
	python debian/patchcheck.py -c

accept-patches:
	python debian/patchcheck.py -u

## vdr 2.4.0

=== PLUGINS/src/status/Makefile ===
#
# Makefile for a Video Disk Recorder plugin
#
# $Id: Makefile 4.2 2017/05/29 08:30:32 kls Exp $

# The official name of this plugin.
# This name will be used in the '-P...' option of VDR to load the plugin.
# By default the main source file also carries this name.

PLUGIN = status

### The version number of this plugin (taken from the main source file):

VERSION = $(shell grep 'static const char \*VERSION *=' $(PLUGIN).c | awk '{ print $$6 }' | sed -e 's/[";]//g')

### The directory environment:

# Use package data if installed...otherwise assume we're under the VDR source directory:
PKGCFG = $(if $(VDRDIR),$(shell pkg-config --variable=$(1) $(VDRDIR)/vdr.pc),$(shell PKG_CONFIG_PATH="$$PKG_CONFIG_PATH:../../.." pkg-config --variable=$(1) vdr))
LIBDIR = $(call PKGCFG,libdir)
PLGCFG = $(call PKGCFG,plgcfg)
#
TMPDIR ?= /tmp

### The compiler options:

export CFLAGS   = $(call PKGCFG,cflags)
export CXXFLAGS = $(call PKGCFG,cxxflags)

### The version number of VDR's plugin API:

APIVERSION = $(call PKGCFG,apiversion)

### Allow user defined options to overwrite defaults:

-include $(PLGCFG)

### The name of the distribution archive:

ARCHIVE = $(PLUGIN)-$(VERSION)
PACKAGE = vdr-$(ARCHIVE)

### The name of the shared object file:

SOFILE = libvdr-$(PLUGIN).so

### Includes and Defines (add further entries here):

INCLUDES +=

DEFINES += -DPLUGIN_NAME_I18N='"$(PLUGIN)"'

### The object files (add further files here):

OBJS = $(PLUGIN).o

### The main target:

all: $(SOFILE)

### Implicit rules:

%.o: %.c
	@echo CC $@
	$(Q)$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) -o $@ $<

### Dependencies:

MAKEDEP = $(CXX) -MM -MG
DEPFILE = .dependencies
$(DEPFILE): Makefile
	@$(MAKEDEP) $(CXXFLAGS) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.c) > $@

-include $(DEPFILE)

### Targets:

$(SOFILE): $(OBJS)
	@echo LD $@
	$(Q)$(CXX) $(CXXFLAGS) $(LDFLAGS) -shared $(OBJS) -o $@

install-lib: $(SOFILE)
	install -D $^ $(DESTDIR)$(LIBDIR)/$^.$(APIVERSION)

install: install-lib

dist: clean
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@mkdir $(TMPDIR)/$(ARCHIVE)
	@cp -a * $(TMPDIR)/$(ARCHIVE)
	@tar czf $(PACKAGE).tgz -C $(TMPDIR) $(ARCHIVE)
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@echo Distribution package created as $(PACKAGE).tgz

clean:
	@-rm -f $(OBJS) $(DEPFILE) *.so *.tgz core* *~

=== debian/changelog ===
vdr (2.4.0-1) unstable; urgency=medium

  * New upstream release
  * Install vdr.pc pkg-config file into multiarch directory
  * Don't recursively chown /var/lib/video

 -- Tobias Grimm <etobi@debian.org>  Sun, 15 Apr 2018 18:47:21 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
 Uploaders: Thomas Schmidt <tschmidt@debian.org>, Tobias Grimm <etobi@debian.org>, Thomas Günther <tom@toms-cafe.de>
-Build-Depends: debhelper (>= 9.20160709), bash-completion, libjpeg-dev, libcap-dev,
+Build-Depends: debhelper (>= 9.20160709), dh-exec (>= 0.3), bash-completion, libjpeg-dev, libcap-dev,
   libncursesw5-dev, libfreetype6-dev, libfontconfig-dev, gettext,
   python, linux-libc-dev (>= 3.0), libfribidi-dev, libsystemd-dev
 Standards-Version: 4.1.2

## vdr 2.4.1

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # See the main source file 'vdr.c' for copyright information and
 # how to reach the author.
 #
-# $Id: Makefile 4.5 2017/05/29 08:48:42 kls Exp $
+# $Id: Makefile 4.5.1.1 2019/05/05 13:37:38 kls Exp $
 
 .DELETE_ON_ERROR:
 
@@ -271,7 +271,7 @@
 
 # Install the files (note that 'install-pc' must be first!):
 
-install: install-pc install-bin install-dirs install-conf install-doc install-plugins install-i18n install-includes
+install: install-pc install-bin install-conf install-doc install-plugins install-i18n install-includes
 
 # VDR binary:
 
@@ -288,7 +288,7 @@
 	@mkdir -p $(DESTDIR)$(CACHEDIR)
 	@mkdir -p $(DESTDIR)$(RESDIR)
 
-install-conf:
+install-conf: install-dirs
 	@cp -pn *.conf $(DESTDIR)$(CONFDIR)
 
 # Documentation:

=== libsi/Makefile ===
#
# Makefile for a libsi
#
# $Id: Makefile 4.2 2017/05/29 08:33:15 kls Exp $

### The archiver options:

AR       ?= ar
ARFLAGS  ?= ru
RANLIB   ?= ranlib

-include ../Make.config

### The object files (add further files here):

OBJS = util.o si.o section.o descriptor.o

### Implicit rules:

%.o: %.c
	@echo CC libsi/$@
	@$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) $<

### Dependencies:

MAKEDEP = $(CXX) -MM -MG
DEPFILE = .dependencies
$(DEPFILE): Makefile
	@$(MAKEDEP) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.c) > $@

-include $(DEPFILE)

### Targets:

all: libsi.a
	@:

libsi.a : $(OBJS)
	@echo AR libsi/$@
	$(Q)$(AR) $(ARFLAGS) $@ $(OBJS)

clean:
	@-rm -f $(OBJS) $(DEPFILE) *.a *.so *.tgz core* *~

dist:
	tar cvzf libsi.tar.gz -C .. libsi/util.c libsi/si.c libsi/section.c libsi/descriptor.c \
   libsi/util.h libsi/si.h libsi/section.h libsi/descriptor.h libsi/headers.h libsi/Makefile libsi/gendescr

=== PLUGINS/src/hello/Makefile ===
#
# Makefile for a Video Disk Recorder plugin
#
# $Id: Makefile 4.2 2017/05/29 08:26:45 kls Exp $

# The official name of this plugin.
# This name will be used in the '-P...' option of VDR to load the plugin.
# By default the main source file also carries this name.

PLUGIN = hello

### The version number of this plugin (taken from the main source file):

VERSION = $(shell grep 'static const char \*VERSION *=' $(PLUGIN).c | awk '{ print $$6 }' | sed -e 's/[";]//g')

### The directory environment:

# Use package data if installed...otherwise assume we're under the VDR source directory:
PKGCFG = $(if $(VDRDIR),$(shell pkg-config --variable=$(1) $(VDRDIR)/vdr.pc),$(shell PKG_CONFIG_PATH="$$PKG_CONFIG_PATH:../../.." pkg-config --variable=$(1) vdr))
LIBDIR = $(call PKGCFG,libdir)
LOCDIR = $(call PKGCFG,locdir)
PLGCFG = $(call PKGCFG,plgcfg)
#
TMPDIR ?= /tmp

### The compiler options:

export CFLAGS   = $(call PKGCFG,cflags)
export CXXFLAGS = $(call PKGCFG,cxxflags)

### The version number of VDR's plugin API:

APIVERSION = $(call PKGCFG,apiversion)

### Allow user defined options to overwrite defaults:

-include $(PLGCFG)

### The name of the distribution archive:

ARCHIVE = $(PLUGIN)-$(VERSION)
PACKAGE = vdr-$(ARCHIVE)

### The name of the shared object file:

SOFILE = libvdr-$(PLUGIN).so

### Includes and Defines (add further entries here):

INCLUDES +=

DEFINES += -DPLUGIN_NAME_I18N='"$(PLUGIN)"'

### The object files (add further files here):

OBJS = $(PLUGIN).o

### The main target:

all: $(SOFILE) i18n

### Implicit rules:

%.o: %.c
	@echo CC $@
	$(Q)$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) -o $@ $<

### Dependencies:

MAKEDEP = $(CXX) -MM -MG
DEPFILE = .dependencies
$(DEPFILE): Makefile
	@$(MAKEDEP) $(CXXFLAGS) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.c) > $@

-include $(DEPFILE)

### Internationalization (I18N):

PODIR     = po
I18Npo    = $(wildcard $(PODIR)/*.po)
I18Nmo    = $(addsuffix .mo, $(foreach file, $(I18Npo), $(basename $(file))))
I18Nmsgs  = $(addprefix $(DESTDIR)$(LOCDIR)/, $(addsuffix /LC_MESSAGES/vdr-$(PLUGIN).mo, $(notdir $(foreach file, $(I18Npo), $(basename $(file))))))
I18Npot   = $(PODIR)/$(PLUGIN).pot

%.mo: %.po
	@echo MO $@
	$(Q)msgfmt -c -o $@ $<

$(I18Npot): $(wildcard *.c)
	@echo GT $@
	$(Q)xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --package-name=vdr-$(PLUGIN) --package-version=$(VERSION) --msgid-bugs-address='<see README>' -o $@ `ls $^`

%.po: $(I18Npot)
	@echo PO $@
	$(Q)msgmerge -U --no-wrap --no-location --backup=none -q -N $@ $<
	@touch $@

$(I18Nmsgs): $(DESTDIR)$(LOCDIR)/%/LC_MESSAGES/vdr-$(PLUGIN).mo: $(PODIR)/%.mo
	install -D -m644 $< $@

.PHONY: i18n
i18n: $(I18Nmo) $(I18Npot)

install-i18n: $(I18Nmsgs)

### Targets:

$(SOFILE): $(OBJS)
	@echo LD $@
	$(Q)$(CXX) $(CXXFLAGS) $(LDFLAGS) -shared $(OBJS) -o $@

install-lib: $(SOFILE)
	install -D $^ $(DESTDIR)$(LIBDIR)/$^.$(APIVERSION)

install: install-lib install-i18n

dist: $(I18Npo) clean
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@mkdir $(TMPDIR)/$(ARCHIVE)
	@cp -a * $(TMPDIR)/$(ARCHIVE)
	@tar czf $(PACKAGE).tgz -C $(TMPDIR) $(ARCHIVE)
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@echo Distribution package created as $(PACKAGE).tgz

clean:
	@-rm -f $(PODIR)/*.mo $(PODIR)/*.pot
	@-rm -f $(OBJS) $(DEPFILE) *.so *.tgz core* *~

=== PLUGINS/src/osddemo/Makefile ===
#
# Makefile for a Video Disk Recorder plugin
#
# $Id: Makefile 4.2 2017/05/29 08:30:08 kls Exp $

# The official name of this plugin.
# This name will be used in the '-P...' option of VDR to load the plugin.
# By default the main source file also carries this name.

PLUGIN = osddemo

### The version number of this plugin (taken from the main source file):

VERSION = $(shell grep 'static const char \*VERSION *=' $(PLUGIN).c | awk '{ print $$6 }' | sed -e 's/[";]//g')

### The directory environment:

# Use package data if installed...otherwise assume we're under the VDR source directory:
PKGCFG = $(if $(VDRDIR),$(shell pkg-config --variable=$(1) $(VDRDIR)/vdr.pc),$(shell PKG_CONFIG_PATH="$$PKG_CONFIG_PATH:../../.." pkg-config --variable=$(1) vdr))
LIBDIR = $(call PKGCFG,libdir)
PLGCFG = $(call PKGCFG,plgcfg)
#
TMPDIR ?= /tmp

### The compiler options:

export CFLAGS   = $(call PKGCFG,cflags)
export CXXFLAGS = $(call PKGCFG,cxxflags)

### The version number of VDR's plugin API:

APIVERSION = $(call PKGCFG,apiversion)

### Allow user defined options to overwrite defaults:

-include $(PLGCFG)

### The name of the distribution archive:

ARCHIVE = $(PLUGIN)-$(VERSION)
PACKAGE = vdr-$(ARCHIVE)

### The name of the shared object file:

SOFILE = libvdr-$(PLUGIN).so

### Includes and Defines (add further entries here):

INCLUDES +=

DEFINES += -DPLUGIN_NAME_I18N='"$(PLUGIN)"'

### The object files (add further files here):

OBJS = $(PLUGIN).o

### The main target:

all: $(SOFILE)

### Implicit rules:

%.o: %.c
	@echo CC $@
	$(Q)$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) -o $@ $<

### Dependencies:

MAKEDEP = $(CXX) -MM -MG
DEPFILE = .dependencies
$(DEPFILE): Makefile
	@$(MAKEDEP) $(CXXFLAGS) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.c) > $@

-include $(DEPFILE)

### Targets:

$(SOFILE): $(OBJS)
	@echo LD $@
	$(Q)$(CXX) $(CXXFLAGS) $(LDFLAGS) -shared $(OBJS) -o $@

install-lib: $(SOFILE)
	install -D $^ $(DESTDIR)$(LIBDIR)/$^.$(APIVERSION)

install: install-lib

dist: clean
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@mkdir $(TMPDIR)/$(ARCHIVE)
	@cp -a * $(TMPDIR)/$(ARCHIVE)
	@tar czf $(PACKAGE).tgz -C $(TMPDIR) $(ARCHIVE)
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@echo Distribution package created as $(PACKAGE).tgz

clean:
	@-rm -f $(OBJS) $(DEPFILE) *.so *.tgz core* *~

=== PLUGINS/src/pictures/Makefile ===
#
# Makefile for a Video Disk Recorder plugin
#
# $Id: Makefile 4.2 2017/05/29 08:30:55 kls Exp $

# The official name of this plugin.
# This name will be used in the '-P...' option of VDR to load the plugin.
# By default the main source file also carries this name.

PLUGIN = pictures

### The version number of this plugin (taken from the main source file):

VERSION = $(shell grep 'static const char \*VERSION *=' $(PLUGIN).c | awk '{ print $$6 }' | sed -e 's/[";]//g')

### The directory environment:

# Use package data if installed...otherwise assume we're under the VDR source directory:
PKGCFG = $(if $(VDRDIR),$(shell pkg-config --variable=$(1) $(VDRDIR)/vdr.pc),$(shell PKG_CONFIG_PATH="$$PKG_CONFIG_PATH:../../.." pkg-config --variable=$(1) vdr))
LIBDIR = $(call PKGCFG,libdir)
LOCDIR = $(call PKGCFG,locdir)
PLGCFG = $(call PKGCFG,plgcfg)
#
TMPDIR ?= /tmp

### The compiler options:

export CFLAGS   = $(call PKGCFG,cflags)
export CXXFLAGS = $(call PKGCFG,cxxflags)

### The version number of VDR's plugin API:

APIVERSION = $(call PKGCFG,apiversion)

### Allow user defined options to overwrite defaults:

-include $(PLGCFG)

### The name of the distribution archive:

ARCHIVE = $(PLUGIN)-$(VERSION)
PACKAGE = vdr-$(ARCHIVE)

### The name of the shared object file:

SOFILE = libvdr-$(PLUGIN).so

### Includes and Defines (add further entries here):

INCLUDES +=

DEFINES += -DPLUGIN_NAME_I18N='"$(PLUGIN)"'

### The object files (add further files here):

OBJS = $(PLUGIN).o entry.o menu.o player.o

### The main target:

all: $(SOFILE) i18n

### Implicit rules:

%.o: %.c
	@echo CC $@
	$(Q)$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) -o $@ $<

### Dependencies:

MAKEDEP = $(CXX) -MM -MG
DEPFILE = .dependencies
$(DEPFILE): Makefile
	@$(MAKEDEP) $(CXXFLAGS) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.c) > $@

-include $(DEPFILE)

### Internationalization (I18N):

PODIR     = po
I18Npo    = $(wildcard $(PODIR)/*.po)
I18Nmo    = $(addsuffix .mo, $(foreach file, $(I18Npo), $(basename $(file))))
I18Nmsgs  = $(addprefix $(DESTDIR)$(LOCDIR)/, $(addsuffix /LC_MESSAGES/vdr-$(PLUGIN).mo, $(notdir $(foreach file, $(I18Npo), $(basename $(file))))))
I18Npot   = $(PODIR)/$(PLUGIN).pot

%.mo: %.po
	@echo MO $@
	$(Q)msgfmt -c -o $@ $<

$(I18Npot): $(wildcard *.c)
	@echo GT $@
	$(Q)xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --package-name=vdr-$(PLUGIN) --package-version=$(VERSION) --msgid-bugs-address='<see README>' -o $@ `ls $^`

%.po: $(I18Npot)
	@echo PO $@
	$(Q)msgmerge -U --no-wrap --no-location --backup=none -q -N $@ $<
	@touch $@

$(I18Nmsgs): $(DESTDIR)$(LOCDIR)/%/LC_MESSAGES/vdr-$(PLUGIN).mo: $(PODIR)/%.mo
	install -D -m644 $< $@

.PHONY: i18n
i18n: $(I18Nmo) $(I18Npot)

install-i18n: $(I18Nmsgs)

### Targets:

$(SOFILE): $(OBJS)
	@echo LD $@
	$(Q)$(CXX) $(CXXFLAGS) $(LDFLAGS) -shared $(OBJS) -o $@

install-lib: $(SOFILE)
	install -D $^ $(DESTDIR)$(LIBDIR)/$^.$(APIVERSION)

install: install-lib install-i18n

dist: $(I18Npo) clean
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@mkdir $(TMPDIR)/$(ARCHIVE)
	@cp -a * $(TMPDIR)/$(ARCHIVE)
	@tar czf $(PACKAGE).tgz -C $(TMPDIR) $(ARCHIVE)
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@echo Distribution package created as $(PACKAGE).tgz

clean:
	@-rm -f $(PODIR)/*.mo $(PODIR)/*.pot
	@-rm -f $(OBJS) $(DEPFILE) *.so *.tgz core* *~

=== PLUGINS/src/skincurses/Makefile ===
#
# Makefile for a Video Disk Recorder plugin
#
# $Id: Makefile 4.2 2017/05/29 08:31:02 kls Exp $

# The official name of this plugin.
# This name will be used in the '-P...' option of VDR to load the plugin.
# By default the main source file also carries this name.

PLUGIN = skincurses

### The version number of this plugin (taken from the main source file):

VERSION = $(shell grep 'static const char \*VERSION *=' $(PLUGIN).c | awk '{ print $$6 }' | sed -e 's/[";]//g')

### The directory environment:

# Use package data if installed...otherwise assume we're under the VDR source directory:
PKGCFG = $(if $(VDRDIR),$(shell pkg-config --variable=$(1) $(VDRDIR)/vdr.pc),$(shell PKG_CONFIG_PATH="$$PKG_CONFIG_PATH:../../.." pkg-config --variable=$(1) vdr))
LIBDIR = $(call PKGCFG,libdir)
LOCDIR = $(call PKGCFG,locdir)
PLGCFG = $(call PKGCFG,plgcfg)
#
TMPDIR ?= /tmp

### The compiler options:

export CFLAGS   = $(call PKGCFG,cflags)
export CXXFLAGS = $(call PKGCFG,cxxflags)

### The version number of VDR's plugin API:

APIVERSION = $(call PKGCFG,apiversion)

### Allow user defined options to overwrite defaults:

-include $(PLGCFG)

### The name of the distribution archive:

ARCHIVE = $(PLUGIN)-$(VERSION)
PACKAGE = vdr-$(ARCHIVE)

### The name of the shared object file:

SOFILE = libvdr-$(PLUGIN).so

### Includes and Defines (add further entries here):

INCLUDES +=

DEFINES += -DPLUGIN_NAME_I18N='"$(PLUGIN)"'

### The object files (add further files here):

OBJS = $(PLUGIN).o

### The main target:

all: $(SOFILE) i18n

### Implicit rules:

%.o: %.c
	@echo CC $@
	$(Q)$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) -o $@ $<

### Dependencies:

MAKEDEP = $(CXX) -MM -MG
DEPFILE = .dependencies
$(DEPFILE): Makefile
	@$(MAKEDEP) $(CXXFLAGS) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.c) > $@

-include $(DEPFILE)

### Internationalization (I18N):

PODIR     = po
I18Npo    = $(wildcard $(PODIR)/*.po)
I18Nmo    = $(addsuffix .mo, $(foreach file, $(I18Npo), $(basename $(file))))
I18Nmsgs  = $(addprefix $(DESTDIR)$(LOCDIR)/, $(addsuffix /LC_MESSAGES/vdr-$(PLUGIN).mo, $(notdir $(foreach file, $(I18Npo), $(basename $(file))))))
I18Npot   = $(PODIR)/$(PLUGIN).pot

%.mo: %.po
	@echo MO $@
	$(Q)msgfmt -c -o $@ $<

$(I18Npot): $(wildcard *.c)
	@echo GT $@
	$(Q)xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --package-name=vdr-$(PLUGIN) --package-version=$(VERSION) --msgid-bugs-address='<see README>' -o $@ `ls $^`

%.po: $(I18Npot)
	@echo PO $@
	$(Q)msgmerge -U --no-wrap --no-location --backup=none -q -N $@ $<
	@touch $@

$(I18Nmsgs): $(DESTDIR)$(LOCDIR)/%/LC_MESSAGES/vdr-$(PLUGIN).mo: $(PODIR)/%.mo
	install -D -m644 $< $@

.PHONY: i18n
i18n: $(I18Nmo) $(I18Npot)

install-i18n: $(I18Nmsgs)

### Targets:

$(SOFILE): $(OBJS)
	@echo LD $@
	$(Q)$(CXX) $(CXXFLAGS) $(LDFLAGS) -shared $(OBJS) -lncursesw -o $@

install-lib: $(SOFILE)
	install -D $^ $(DESTDIR)$(LIBDIR)/$^.$(APIVERSION)

install: install-lib install-i18n

dist: $(I18Npo) clean
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@mkdir $(TMPDIR)/$(ARCHIVE)
	@cp -a * $(TMPDIR)/$(ARCHIVE)
	@tar czf $(PACKAGE).tgz -C $(TMPDIR) $(ARCHIVE)
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@echo Distribution package created as $(PACKAGE).tgz

clean:
	@-rm -f $(PODIR)/*.mo $(PODIR)/*.pot
	@-rm -f $(OBJS) $(DEPFILE) *.so *.tgz core* *~

=== debian/changelog ===
vdr (2.4.1-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add a patch to replace the obsolete stime function (removed in glibc 2.31)
    by clock_settime. (Closes: #964220)

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 19 Jul 2020 19:22:51 +0200

vdr (2.4.1-4) unstable; urgency=medium

  * Dropped python build dependency - not actually used in build
    (Closes: #938772)
  * Standards-Version: 4.4.1

 -- Tobias Grimm <etobi@debian.org>  Fri, 01 Nov 2019 13:11:11 +0100

vdr (2.4.1-3) unstable; urgency=medium

  * Remove trailing whitespace in changelog
  * Switched to debhelper compat 12
  * Changed short description of vdr-dev
  * Updated lintian overrides
  * Added missing ${misc:PreDepends}
  * Removed dbgsym-migration
  * Added hint about how to get initial channels.conf in README.Debian
    (Closes: #859537)

 -- Tobias Grimm <etobi@debian.org>  Mon, 26 Aug 2019 12:15:12 +0200

vdr (2.4.1-2) unstable; urgency=medium

  * Fixed cross-build issue by using buildtools.mk
  * Standards-Version: 4.4.0
  * Enabled verbose build output
  * Use CPPFLAGS to allow hardening options to be set
  * Made pkg-config configurable in Makefiles to allow cross-builds

 -- Tobias Grimm <etobi@debian.org>  Sun, 28 Jul 2019 14:42:35 +0200

vdr (2.4.1-1) unstable; urgency=medium

  * New upstream release
  * Updated plugin ABI version

 -- Tobias Grimm <etobi@debian.org>  Tue, 16 Jul 2019 09:52:27 +0200

vdr (2.4.0-2) unstable; urgency=medium

  * Made systemd service depend on 'systemd-udev-settle' because VDR does not
    cope with dynamic device configurations and requires the DVB devices to be
    available at startup (Closes: #928358, #928357)
  * Dropped custom compression setting in debian/source/options
  * Moved dpkg-maintscript-helper calls to vdr.maintscript
  * Standards-Version: 4.3.0
  * Set vdr-dev to 'Multi-Arch: same'

 -- Tobias Grimm <etobi@debian.org>  Sun, 05 May 2019 15:24:26 +0200

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,17 @@
 Priority: optional
 Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
 Uploaders: Thomas Schmidt <tschmidt@debian.org>, Tobias Grimm <etobi@debian.org>, Thomas Günther <tom@toms-cafe.de>
-Build-Depends: debhelper (>= 9.20160709), dh-exec (>= 0.3), bash-completion, libjpeg-dev, libcap-dev,
+Build-Depends: debhelper (>= 12), dh-exec (>= 0.3), bash-completion, libjpeg-dev, libcap-dev,
   libncursesw5-dev, libfreetype6-dev, libfontconfig-dev, gettext,
-  python, linux-libc-dev (>= 3.0), libfribidi-dev, libsystemd-dev
-Standards-Version: 4.1.2
+  linux-libc-dev (>= 3.0), libfribidi-dev, libsystemd-dev
+Standards-Version: 4.4.1
 Vcs-Git: https://salsa.debian.org/vdr-team/vdr.git
 Vcs-Browser: https://salsa.debian.org/vdr-team/vdr
 Homepage: http://www.tvdr.de/
 
 Package: vdr
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, lsb-base (>= 3.0-6)
 Recommends: lirc, ttf-bitstream-vera | fonts-freefont-ttf
 Suggests: vdr-plugin-dvbsddevice
@@ -33,9 +34,10 @@
 
 Package: vdr-dev
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends}, debhelper, linux-libc-dev (>= 3.0)
 Suggests: dh-make, make
-Description: Video Disk Recorder for DVB cards
+Description: Video Disk Recorder plugin development files
  Video Disk Recorder (VDR) is a digital sat-receiver program using
  Linux and DVB technologies. It allows one to record MPEG2 streams,
  as well as output the stream to TV. It is also possible to watch DVDs

=== debian/rules ===
--- 
+++ 
@@ -3,15 +3,15 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-CXXFLAGS += $(CPPFLAGS)
-CFLAGS += $(CPPFLAGS)
+-include /usr/share/dpkg/buildtools.mk
+
 PREFIX = /usr
 VIDEODIR = /var/lib/video
 LIBDIR = /usr/lib/vdr/plugins
-MAKE_OPTIONS = PREFIX=$(PREFIX) VIDEODIR=$(VIDEODIR) LIBDIR=$(LIBDIR) SDNOTIFY=1
+MAKE_OPTIONS = PREFIX=$(PREFIX) VIDEODIR=$(VIDEODIR) LIBDIR=$(LIBDIR) SDNOTIFY=1 VERBOSE=1
 
 %:
-	dh $@ --with bash-completion,systemd
+	dh $@ --with bash-completion
 
 override_dh_auto_build:
 	dh_auto_build -- $(MAKE_OPTIONS)
@@ -21,16 +21,19 @@
 	done
 
 override_dh_auto_clean:
-	dh_auto_clean
+	dh_auto_clean --no-parallel
 	rm -f debian/vdr-shutdown.wrapper
 	rm -f debian/dh-addon-vdrplugin/*.1
+
+override_dh_missing:
+	dh_missing --fail-missing -Xlibvdr-epgtableid0.so
 
 override_dh_auto_install:
 	dh_auto_install -- $(MAKE_OPTIONS)
 	mv debian/tmp/var/lib/vdr/channels.conf debian/tmp/var/lib/vdr/channels.conf.sat
 
 override_dh_install:
-	dh_install --fail-missing -Xlibvdr-epgtableid0.so
+	dh_install
 	install -D -m 755 newplugin debian/vdr-dev/usr/bin/vdr-newplugin
 	echo -n "vdr:Provides=" >> debian/vdr.substvars
 	cat debian/abi-version >> debian/vdr.substvars
@@ -42,16 +45,7 @@
 override_dh_installinit:
 	dh_installinit --error-handler true
 
-override_dh_strip:
-	dh_strip --dbgsym-migration='vdr-dbg (<< 2.2.0-6~)'
-
 override_dh_installchangelogs:
 	dh_installchangelogs -pvdr HISTORY
 	dh_installchangelogs -pvdr-plugin-examples
 	dh_installchangelogs
-
-check-patches:
-	python debian/patchcheck.py -c
-
-accept-patches:
-	python debian/patchcheck.py -u
